DSM-G600, DNS-3xx and NSA-220 Hack Forum

Unfortunately no one can be told what fun_plug is - you have to see it for yourself.

You are not logged in.

#1 2008-12-29 19:17:14

madpenguin
Member
Registered: 2008-12-25
Posts: 77

uclibc and crt1.0

Trying to setup a devel environment for compiling and configure fails due to a missing crt1.0...

First, I'm completely unfamiliar with ARM and uclibc as well. I know crt1.0 comes from glibc on x86...

Anyone care to give me a nudge in the right direction? BTW, thanks fonz for funplug. Don't think I've exited ssh for almost 2 days... ;-)

ls /ffp/var/packages

Code:

autoconf-2.61-2
automake-1.10.1-2
bash-3.2-3
binutils-2.18.50.0.1-4
bison-2.3-3
busybox-1.12.1-1
bzip2-1.0.5-2
coreutils-6.12-1
dialog-1.1-3
diffutils-2.8.7-3
dns323-utils-0.7.176-2
ffp-scripts-0.5-17
file-4.23-3
findutils-4.2.32-2
fun_plug-0.5-08_10_01
funpkg-0.5-1
gawk-3.1.6-3
gcc-4.1-2
grep-2.5.3-2
groff-1.19.2-3
gzip-1.3.12-3
less-418-3
lighttpd-1.4.20-1
lsof-4.80-1
make-3.81-3
man-1.6e-3
mediatomb-0.11.0-5
nfs-utils-1.1.0-4
ntp-4.2.4p4-4
openssh-5.1p1-2
openssl-0.9.8h-1
patch-2.5.9-3
pkg-config-0.23-1
portmap-6.0-4
rcorder-cvs-4
readline-5.2-3
rsync-3.0.4-1
sed-4.1.5-3
shadow-4.1.2.1-1
strace-4.5.16-3
tar-1.19-2
unfs3-0.9.20-4
usbutils-0.73-1
vim-7.1-2

Offline

 

#2 2008-12-29 19:19:42

madpenguin
Member
Registered: 2008-12-25
Posts: 77

Re: uclibc and crt1.0

funny. Probably because I don't have uclibc installed. Sorry to waste bandwidth.

I assumed that came prepackaged with funplug like many others. Didn't even think to check... Doh.

Offline

 

#3 2008-12-29 19:29:53

madpenguin
Member
Registered: 2008-12-25
Posts: 77

Re: uclibc and crt1.0

o.k. 2 problems

missing limits.h

I assume I need your kernel-headers package fonz?

It's also complaing about not finding /lib/cpp

I have one in /ffp/bin


I don't want to start blindly making symlinks and installing packages so I guess I'll wait for some guidance...

Thanks much.

Last edited by madpenguin (2008-12-29 19:30:24)

Offline

 

#4 2008-12-29 20:31:04

madpenguin
Member
Registered: 2008-12-25
Posts: 77

Re: uclibc and crt1.0

Made my own linux-libc-headers-2.6.12-1.tgz package and everything fell into place.

I'm not familiar with uclibc, as I've stated. Fonz, did you build uclibc against the 2.6.9 headers package? Should I install those instead? Works the same as glibc when building?

Not that I'm complaining, but some build scripts would help answer quite a few questions floating in my head. Kinda hard to pin point some things when you don't know how the packages were built.

The headers are getting kind of crufty with regards to more recent toolchains. Have you patched for newer syscalls by any chance? Is it needed with the current toolchain?

Last edited by madpenguin (2008-12-29 20:32:44)

Offline

 

#5 2009-01-01 23:00:12

fonz
Member / Developer
From: Berlin
Registered: 2007-02-06
Posts: 1716
Website

Re: uclibc and crt1.0

2.6.9 headers as you can see from the package version: http://www.inreto.de/dns323/fun-plug/0. … el-headers
All my build scripts are available via subversion, see http://dns323.kood.org/howto:ffp#links
uclibc-0.9.29-7 has limits.h

Offline

 

Board footer

Powered by PunBB
© Copyright 2002–2010 PunBB